
Foreman - Bug #2048

Subnet not selectable for new host when no orgs/locations exist

12/14/2012 07:39 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Locations and organizations are enabled in settings.yml, however no org or location has been created.

When using the New Host page, Network tab, select a Domain from the dropdown and no Subnet is listed for selection.  It works

correctly if locations and orgs are disabled.

History

#1 - 12/14/2012 08:09 AM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

so what would you expect? that the form is disabled (e.g. subnets) until an Org/Location have been selected?

#2 - 12/14/2012 09:59 AM - Dominic Cleal

Ohad Levy wrote:

so what would you expect? that the form is disabled (e.g. subnets) until an Org/Location have been selected?

 My understanding is that if there are no orgs or locations defined (not selected) that Foreman would act as if the features were disabled.  Is that

correct, or a bad assumption?

The new host form allows me to select a domain (which isn't associated with an org or location), but then doesn't allow selection of a subnet (which

also isn't), so seems inconsistent.

If the app shouldn't function until an org and location has been defined, it should be clearer (a bit like the splash screen before data is loaded).

#3 - 01/14/2013 04:25 AM - Ohad Levy

- Assignee changed from Amos Benari to Joseph Magen

#4 - 01/27/2013 05:22 AM - Ohad Levy

- Status changed from New to Resolved

this is actually resolved as part of the major work around taxonomies Joseph did.
